Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

greetings ..

i'm using cpanel (11.25 Stable 46156) with mod security installed , how i can i know the of mod security that installed in the server.

second how i can update mod security manually or make it update automatically ?

share|improve this question
add comment

1 Answer

cPanel Apache 1.3 uses Mod security 1.x and Apache 2.x uses mod security 2.x

To know which apache you have running type on the shell command line: httpd -V

To know the exact version of mod_security installed, find the file mod_security.c open it with any editor such as nano, vi or the one you prefer and look for the line: #define MODULE_RELEASE

If you have apache 2.x you can simple compile it again with the latest tarball file to upgrade it to the latest version, a step-by-step is available at:

http://www.modsecurity.org/documentation/modsecurity-apache/2.5.12/html-multipage/installation.html

share|improve this answer
    
sorry but i could not find mod_security.c file , by the way i'm using rhel 5 –  Libyano Aug 24 '10 at 16:33
    
in your httpd.conf what is the loadmodule line you have for mod_security ? –  Prix Aug 24 '10 at 16:39
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.